Subject: Re: I can't get bind to work withing BASH
From: " Clark Sims " <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 14 Sep 1999 12:20:10 -0700

--

On Mon, 13 Sep 1999 15:22:55   Larry Hall (RFK Partners, Inc) wrote:
>At 12:03 PM 9/13/99 -0700, you wrote:
>> bind -p | less
>>says that clear screen is bound to "\C-l"
>>When I type "\C-l", the screen spaces down one line, and copies the current
>>line to the new line.
>>
>>I tried to bind ESC to kill-whole-line, with
>>bind ESC kill-whole-line
>>but this did not work. The escape key now generates a beep.
>>
>>I would like to bind the DEL key to right arrow, backspace, to mimick
>>the functionality of DOS, but I can't figure this out.
>>
>>Could some one help me to:
>>1) figure out how to clear the screen
>>2) figure out how to kill the current command 
>>3) use the delete key to delete the character over the curser
>>
>>Thanks in Advance,
>>
>>Clark Sims
>>
>>
>>--== Sent via Deja.com http://www.deja.com/ ==--
>>Share what you know. Learn what you don't.
>>
>
>
>Do you have CYGWIN set to tty?  Sounds like you don't.  That's probably what

I have tried info tty and looking in the index of "Learning the bash Shell" but I can't figure out what you mean. The command tty tells what type of terminal I am using. Appearently I am using
/dev/conin 

>you want to get more tty-like behavior.  Read the caveats of working with

I can't find where to read about this.

>tty mode set and DOS programs though.  You might fare better with a newer

I should have mentioned I was working with bash version 2.02.1(2) from Cygwin 20.1. I believer this is the newest version.

Thanks,

Clark

--== Sent via Deja.com http://www.deja.com/ ==--
Share what you know. Learn what you don't.

--
Want to unsubscribe from this list?
Send a message to [email-masked]